Subject: Re: bug#37527: [PATCH] Install C source code for for debugging help

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Sep 2019 09:01:28 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 27 Sep 2019 21:59:17 +0200
> 
> +* GNU/Linux source packages
> +
> +Many GNU/Linux systems provide separate packages containing the
> +sources of Emacs.  They are useful if you want to check the source
> +code of Emacs primitive functions, and alike.

I'd add here "or debug Emacs on the C level".

> +The names of the packages that you need varies according to the
> +GNU/Linux distribution that you use.  On Debian-based systems, you can
> +install all the packages needed to build the installed version of
> +Emacs with a command like 'apt-get source' (on older systems, replace
> +'emacs' with eg 'emacs25').  On Red Hat-based systems, the
> +corresponding command is <tbd>.

Does this include the emacs-debugsource stuff mentioned by Andreas?
If not, I think we should add that.

Otherwise, this is fine with me, it can be installed on master right
now.

Thanks.